How to Unlock iPhone 3GS, iPhone 4 on iOS 5.0.1 Using UltraSn0w

After you have jailbroken your device, simply follow the steps below to your phone for use on unofficial carriers.

Step 1: You must update to using Sn0wbreeze in order to preserve your (be sure to check the 'Hacktivate' option under general settings when you are making the firmware). The unlockable basebands are 04.26.08 – 05.11.07 – 05.12.01 – 05.13.04 – 06.15.00 – 01.59.00

Step 3: Install 1.2.5 through Cydia.

Step 4: Turn off your device, insert your unofficial SIM and reboot the phone. Once the phone reboots you should be unlocked on 5.0.1!

 

  • eazy

    What do you mean, chmod the file to 0755 ?

    • http://iphoneblogr.com JaeM1llz

      Set the file permissions to 0755

      • eazy

        Works like charm, thanks for the update man, though i had to use the second method, OpenSSH

      • Lirdi

        please – how to do that exactly? through myfile on the decive? through Winscp? where do you set this permission?

        • eazy

          the permission is set through WinSCP, when you are about to copy the file, just go to one of the option available before it’s been copy, you will get to see permission, i hope this work for you like it did worked for me mate.

  • Paul Pants

    Andrea,
    The repo site didn’t work for me either. Though it took me 3 days to get a sucessful jailbreak solution for 5.0.1 (Sn0wbreeze 2.8B11(IPSW 5.0.1) or redsn0w (9.9b8), unlocking (T-Mobile Sim) with UltraSn0w 1.2.4 would either cause my phone not to fully boot or I would still get No Service.

    Though taking a backup before upgrading to 5.0.1 I have lost everything.

    Now after using the OpenSSH manual fix I now have a carrier!

    I love Andrea.;-)

    Thank you All XX

    SYYJ;-)
    Pants P.

  • Paul Pants

    IPhoneBlogr thanks too. If it was not for your site, I would not have found the fix!

    Keep Blogging

    SYHJ;-)

    Pants P.

  • Will

    does not work on iphone 4 ios 5 with BB 4.11.08 T.T

    • http://iphoneblogr.com thescragster

      That’s right, 04.11.08 is currently not an unlockable baseband using UltraSn0w.

  • Mike

    Thankyou so much this have just fixed my iphone i had tried everything thankyou thanyou thankyou

    • http://iphoneblogr.com thescragster

      Thanks for your feedback – glad we could help you out.

  • Stephanie

    Uhm. I’m completely lost. I’m new at this and this “Step 2: Install OpenSSH in Cydia and SSH into your device and navigate to the folder “System/Library/Frameworks/CoreTelephony.framework/Support/” and replace the files in that folder with the files provided in the following Zips. Also be sure to chmod the files to 0755. Download this for iPhone3Gs or this for iPhone4.” Doesn’t make sense to me. I’ve installed Open SSH in Cydia but how do I install the SSH? And where is this folder? Please help!

    • http://iphoneblogr.com JaeM1llz

      Probably best if you just use the automatic method then, the manual method is for advanced users.

  • CJ

    how do i check the baseband? i cannot find a site to unlock my phone for tmobile!

    • http://iphoneblogr.com JaeM1llz

      Settings>General>About>Modem Firmware

  • AA

    Thanks for the post! Now my phone is usable again!

  • Pingback: Jailbreak and Update to iOS 5.0.1 with Sn0wbreeze 2.8b11 | iPhoneBlogr.com

  • biddie

    thanx for the post. Although neither methods worked for me.iphone 3gs ios 5.0.1..i replaced the files,changed the permissions and everything but still no service.I’ve been on this phone for like a week. Any bright ideas? Or is my location(Africa) a factor?

    • http://iphoneblogr.com thescragster

      Hi Biddie, thanks for your question. Which baseband are you on? If you go to Settings – General – About. Please confirm that the update was successful and that you are on a baseband that is compatible with Ultrasn0w. Let us know so that we can help you further

      • Rijad

        Hey @thescragster it won’t work for me, I have BB 6.15.00 on a jailbroken iPhone 3gs. I tried this way a few times. But I still got no service.. what should I do? please help.., I’m trying this for 3 days now..

  • http://iphoneblogr.com/2011/12/how-to-unlock-using-ultrasn0w-on-5-0-1/ Ngawang

    Is this method will work for iphone 4 ios 5 04.11.08?
    If yes can somebody shows us how.
    Thanks

    • http://iphoneblogr.com JaeM1llz

      No, this is only for phones with Ultrasn0w compatible basebands.

  • josherson

    i have an iphone 3gs with ios 5.0.1 and baseband 05.11.07 and everything i try dosnt work, i have tmobile any ideas? please??

    • http://iphoneblogr.com JaeM1llz

      Did you install the Cydia Ultrasn0w fix or replace the files manually and set permissions? Also, did you do the fix before installing ultrasn0w? You have to do it in that order.

  • Bwett

    I have no idea how to manually do anything with the files…..
    Can someone give a step by step or something for a noob.
    The automatic way didnt work for my 3gs on 6. 15. 00 baseband on ios 5.0.1 :(

    • http://iphoneblogr.com JaeM1llz

      I ordered a few cracked iPhone 3Gs today, when I get them I will do a step by step video tutorial on how to install the fix manually, if you don’t want to wait until then just google how to SSH into your iPhone, it’s super easy.

  • lofej

    So i got an iPhone 4 4.3.5 – 04.10.01

    is there any possibilities to jailbreak and unlock, or better to upgrade and wait?. I’m new in this but I read so many things im not sure now..

    Any help would be appreciated. Thankyou.

    • http://iphoneblogr.com JaeM1llz

      Only way to unlock 04.10.01 is with a Gevey sim. If you update to iOS5 make sure to use a custom firmware otherwise you won’t even be able to do a hardware unlock.

      • Santa’s Helper

        Couldn’t he/she just go and flash iPad baseband (6.15.00)?

        • http://iphoneblogr.com JaeM1llz

          iPad baseband is only for iPhone3G and iPhone3Gs.

  • lofej

    So at the moment there is no way for unlock without Gevey, and no news too that in the near future?!

    However, I read that the untethered jailbreak is coming very soon for iOS5 and i think that would be the best for jailbreaking. But the gevey isnt woring on that as i read, and will it after the upgrade?

    let me get is straight because im a bit confused about what should i do:
    1. wait for iOS5 untethered JB with the custom firmware(witch im not sure about how to do, redsnow?ultrasnow?)
    2. buy gevey and unlock.

    in this order will be good?

    Sorry for my misunderstanding, and poor english knowledge, and thank you for the reply.

  • Gentinjeshi2006

    so i have an iphone 4 (4.3.3.) with broadband of 4.10.01 and i wanted to ask about gevey ultra. I jailbroke the iphone with cydia installed and now i want to unlock it. Does the gevey works properly ?? Any problems with it ?? Any advice’s will be appreciated 

    • JaeM1llz

      Yes, Gevey Ultra works fine on 4.3.3 and baseband 04.10.01 as long as you get an official Gevey Ultra SIM.

  • TB74

    I have an iPhone 3GS it has 5.0.1 and the modemfirmware is 06.15.00. After doing this and turning airplane-mode off and on it says No SIM. Before it said No Network but now it says that it has no SIM card… What is the problem?

  • Donald_Thump

    i can’t get my iPhone working at all, i did my iPod just fine though

  • A_castro_

    My phone wont work now at all. It wont restart? What shall i do?

  • Wilson Silver

    It this will work with 3GS 8GB?

  • Wilson Silver

    I have heard that 3GS 8GB you can’t unlock with the soft 5.0.1  Is that true?

  • Brenda_mora1993

    Is there any way to unlock an iPhone 4 for tmobile? It was just jail broken, it’s 04.12.01 and it’s version 5.1.1

  • theproverbialtruthteller

    I have an i-phone 3G firmware 05.15.04 version 4.2.1 (8C148) and I used snowbreeze 4.2.1 to jailbreak and ultrasnow 1.2.7 to unlock. How long does it take for it to find my t-mobile sim card? It just keeps saying searching and hasn’t found my sim card. Did I do something wrong?

    • JaeM1llz

      05.15.04 is not an Ultrasn0w compatible baseband, you will first have to upgrade to the iPad baseband(06.15.00) with Redsn0w in order to unlock.

      • theproverbialtruthteller

        How do I do that? Do I need to delete everything I had just done? Step by step please and thank you!!!

        • JaeM1llz

          Run Redsn0w 0.9.14b2 and click “Jailbreak” and then on the options screen uncheck every box except for “install ipad baseband”

          • theproverbialtruthteller

             What do I do next?

          • JaeM1llz

            Haha no problem, if you want you can also downgrade the iPad baseband now to 05.13.04 which will allow you to have GPS capability again. Just do the same thing but uncheck everything except for “downgrade ipad baseband”

  • sudheer

    hi iam having an iphone 3gs with firm ware 06.15.00 i want to upgrade to 5.1 frm prsent 4.1
    plz help me iam not able to do it